package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError

interface TopupTransactionInteractor {

    interface View {

        fun onTopupSucceed(typeTopup: String, remark: String, amount: Double)
        fun onTopupFailed(error: VolleyError)
    }

    interface Presenter {

        fun onTopup(
            phoneNumber: String,
            pin: String,
            orderId: String,
            type: String,
            status: String,
            paymentType: String,
            amount: Double
        )
    }
}